View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000071Ecere SDKcompilerpublic2008-05-07 17:142013-09-30 09:02
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000071: Casting to base struct generates an extra referencing operator
Description((Date)fromDate).OnGetString(from, null, null);

produces double & operator:

((char * (*)(struct __ecereNameSpace__ecere__com__Class *, void *, char * tempString, void * fieldData, int * needClass))__ecereClass___ecereNameSpace__ecere__sys__Date->_vTbl[__ecereVMethodID_class_OnGetString])(__ecereClass___ecereNameSpace__ecere__sys__Date, &&__ecerePointer_RptWSNByStartDate->fromDate);
TagsNo tags attached.
Attached Files

- Relationships
related to 0000840closedjerome Chaining Instance::OnSerialize/OnUnserialize does not work (Tested with Container within Containers) 

-  Notes
(0001103)
jerome (administrator)
2013-09-30 09:02
edited on: 2013-10-05 00:00

This is no longer an issue, might have been fixed by:
https://github.com/ecere/ecere-sdk/commit/55b6b1ade09243391970e23473b738dba024bc6f [^]


- Issue History
Date Modified Username Field Change
2008-05-07 17:14 jerome New Issue
2012-03-08 16:51 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-09-30 06:48 jerome Assigned To => jerome
2013-09-30 06:48 jerome Priority normal => immediate
2013-09-30 06:48 jerome Severity minor => major
2013-09-30 06:48 jerome Status new => assigned
2013-09-30 06:48 jerome Target Version 0.45 Ginkakuji => 0.44.10 64
2013-09-30 06:49 jerome Relationship added related to 0000840
2013-09-30 09:02 jerome Status assigned => closed
2013-09-30 09:02 jerome Note Added: 0001103
2013-09-30 09:02 jerome Resolution open => fixed
2013-09-30 09:02 jerome Fixed in Version => 0.44.10 64
2013-09-30 09:02 jerome Note Added: 0001104
2013-09-30 09:02 jerome Note Deleted: 0001104
2013-10-05 00:00 jerome Note Edited: 0001103



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker